<div class="container d-flex flex-column justify-content-around align-item-center p-4">
    <h1>3 - Les Pipes : </h1>

    <br>
    <div>
        <h2>Les différents pipes du framwork : </h2>
        <div><b>Date sans pipe : </b>{{date}}</div>
        <div><b>Date avec simple pipe :</b> {{date|date}}</div>
        <div><b>Date avec pipe format : </b> {{date| date: "MM/dd/yy" }}</div>
        <div><b>Date avec pipe format : </b> {{date| date: "MM/dd/yy" }}</div>
        <div><b>Prenom avec Uppercase : </b> {{monPrenom| uppercase}}</div>
        <div><b>M2IFORMATION avec LowerCase : </b> {{formation| lowercase}}</div>

        <div><b>User en json : </b> {{use|json }}</div>
        <div><b>Donnée avec pipe decimal : </b> {{donne|number:'2.5'}}</div>
        <div><b>Donnée avec pipe percent : </b> {{donne2 |percent:'1.1'}}</div>
        <div><b>Donnée avec pipe currency : </b> {{donne2 |currency:'CLP':'symbol'}}</div>
        <div><b>Donnée avec pipe personnalisé Acronyme : </b> {{formation|acroNyme}}</div>
        <div><b>La liste des personnes avec un M avec pipe personnalisé : </b>
            <div *ngFor="let p of tabString|startM">
                <p>{{p}}</p>
            </div>
        </div>
    </div>
</div>
